Your submission was sent successfully! Close

CVE-2010-0393

Published: 03 March 2010

The _cupsGetlang function, as used by lppasswd.c in lppasswd in CUPS 1.2.2, 1.3.7, 1.3.9, and 1.4.1, relies on an environment variable to determine the file that provides localized message strings, which allows local users to gain privileges via a file that contains crafted localization data with format string specifiers.

Priority

Medium

Status

Package Release Status
cups
Launchpad, Ubuntu, Debian
Upstream Needs triage

This vulnerability is mitigated in part by the use of -D_FORTIFY_SOURCE=2 in Ubuntu.
cupsys
Launchpad, Ubuntu, Debian
Upstream Needs triage